About FlashSlider

The FlashSlider software creates slide-shows from JPEG-images. The program generates movies (*.swf files - Macromedia ShockWave Flash format) for publishing to HTML or Macromedia Projector. You can include music to a slide-show and use pre-made transition effects from the wide library. Beginning with version 4.0, you can add different URLs to each slide and titles to any frames. Also, with the timeline tool you can play the movie from any position (or step frame-by-frame).

List of available effects:

• Fading with using colors
• Gliding of the following or the following slide
• Panoramic view for current and following slides
• Moving and Transparency of the current slide sample
• Appearing of the following slide at point
• Expanding the follow slide
• Leafing the current (or following) slide
• Movement with inertia
• 90 degree 3D rotation
• Diagonal 3D rotation
• Cubic 3D rotation
• etc.

See Quick Start - the five-step tutorial for FlashSlider. There is a FlashSlider project sample in the program also.

The latest version of FlashSlider or the newest effect libraries are available at our web site www.flashslider.com

Technical support and consulting is available at mail@flashslider.com

Macromedia and Shockwave Flash are trademarks of Macromedia, Inc.

Copyright © by FeatherySoft, Inc. 2003-2005


Setup and Registration

Installation

The program is designed for OS Win9x/NT/2k/XP.
The strong requirement: Macromedia Flash Player
To install the program unpack and run fs_setup.exe which is contained in the flashslider.zip archive.

Updates

Remember to check for program updates often as we continue developing the software on non-stop basis. The latest version of the software or the newest effect libraries are available at our web site www.flashslider.com

License and registration

FlashSlider is distributed without any restrictions. But there is the "Unregistered" word in the program head and the FPS (Frame-Per-Second) value is limited by 24 until you register.

Technical support, all next updates of the program and new effects libraries are absolutely free for the registered clients!

Full text of the license agreement is in the license.txt file.

After purchasing you will receive your registration info (Registration Name and Serial number) which should be entered in the registration window of the program (Menu > Help > Registration).


Quick Start

The easiness, which FlashSlider makes slide-shows with, astonishes even us ourselves. Look at our tutorial and you will see that each step of the "step-by-step" instruction is as easy as 1-2-3. There is a FlashSlider project sample in the program also.

To create a movie using FlashSlider you should do the following:

  1. Create or Open project
    When FlashSlider starts it asks if to Create a new project or whether Open already existing project. You can use double-click to open a project.
    To select interface language Menu > "?" > Language

  2. The new project requests to set Movie properties and choose one slide (an image file) at least. The size of the first project is 400x300 but when you change parameters, the size will be saved for the next project.
    Set the Movie properties:
    - General: Movie size, Background color, Movie URL;
    - Navigation: navigation buttons (Play and Pause, Rewind, Next and Previous) and actions after the movie finishing;
    - Sound: to include music;
    - Preloader: to include any preloader displaying the loading process;
    - Links: to add different URLs for each frame;
    - Titles: to add titles to each frame.

    For further editing of movie properties choose Menu > Edit > Movie properties.

  3. Add other slides
    Choose from menu Slide > Add or use "Ctrl+A" to add one slide (an image file) to end of the movie.
    To choose several slides click Slide > Add slides option.
    Also the context menu with all options for adding, inserting after or before, changing and deleting of slides is available by right-clicking any slide. To change a selected slide right-click the one, click the "Browser picture..." and choose another file.

  4. Set properties and effects
    To make your slide-show good-looking set the slide properties:

    Slide settings toolbar includes the following settings: Image, Titles, Link; Motion.

    Motion to the next slide toolbar includes the effect list and the effect preview.

    The slide can be blank and effects for a such slide will be like effects for a rectangle with color of the movie background.

  5. Make the movie
    To preview of the ready movie click the Play button in the Playback toolbar. The FPS (Frame-per-Second) in the preview is equal 24 so it is lighter than the real movie. With the timeline tool you can play the movie from any position.
    To complete the working choose Menu > File > Publish Movie (press "Ctrl+E") > set the needed FPS (Frame-per-Second) value and choose Publish type.
    Note. If you want to copy the project to another computer, previously you should save all image files and the project file (*.fsl) in the same folder.


Toolbars

FlashSlider Toolbars

Default configuration of the main window contains 6 toolbars each of which can be visible/unvisible and dragged to any place of the program window.
The View menu contains all toolbars:

  • Main
  • Slide settings
  • Motion to the next slide
  • Timeline
  • Slide List
  • Playback

and Zoom (50%, 100% or 200%).


Main Toolbar

The Main toolbar includes the "hot" buttons:

  • New project
  • Open project
  • Save project
  • Publish movie
  • Undo
  • Redo
  • Previous slide
  • Next slide
  • Add slide
  • Delete slide
  • Movie properties

Move a mouse over the toolbar to see the hints.


Slide settings Toolbar

The Slide settings toolbar includes the following settings:

  • Image
    File: you can browse another file for the slide.
    Image size: displaying the image size (you can not change the one in this field).
    Position: select one of three placements (Left corner, Center, Stretch) on the screen if the movie size is not the same that the image size.
    Delay: how long the slide stays on the screen; this value is accounted in seconds.
  • Titles
    Text: type any titles to the frame.
    Color: choose any color for text.
  • Link
    URL: type a link for the slide.
    Target: type _blank, _parent, _self, _top, or _level0. See also Links property.
  • Motion: duration of effect.

It is possible to set different properties as for each slide so for a group of slides. To unite several slides into a group use the "Ctrl" or "Shift" keys and click the slides.


Motion to the next slide Toolbar

The Motion to the next slide toolbar includes the effect list, preview and time (lenght) of effect.
Effect is conversion of a slide to the next one and how long it goes on. A tree structure of the effect list contains the effect libraries.
To preview the selected effect click the "Play preview" button; select another effect from the list and see the changing in the preview box immediately.

Right click the effect list brings the context menu containing three commands:

  • Full Expand to open all branches. This command unchecks the Auto Collapse command automatically;
  • Full Collapse to close all branches except the selected;
  • Auto Collapse to close the branch automatically after selecting another one.

It is possible to set different properties and effects as for each slide so for a group of slides. To unite several slides into a group use the "Ctrl" or "Shift" keys and select the slides.

The effect list is so wide that can require the alternate management. See Effect manager


Slide List Toolbar

Slide List Toolbar reflects the order of the slides, time of each slide and effect. Actually, it is a movie structure. Effect of the last slide uses the first slide as the next one so the movie is cycled.

The slide managing is simple and intuitively understandable:

  • to unite several slides into a group use the "Ctrl" or "Shift" keys and select the slides;
  • to replace any slide drag-and-drope one.

The context menu is available by right-clicking any slide and contains several main commands for the selected slide: Browser picture, Add slide, Add slides, Insert slide before, Insert slide after, Delete slide. There are all these commands in the main menu too. Also, there are items: Set movie size as image size and Enlarge movie size to image size.

In the status bar is shown info about number of selected slides, total number of slides and total time of movie.


Playback Toolbar

The Playback Toolbar is used to preview of the movie and consists of the Play and Pause buttons, the trackbar, current and overall time indicators. Trackbar shows tracking of the movie discretely from slide to slide. Total time is shown in the status bar too.

The FPS (Frame-per-Second) in the preview is equal 24 so it is lighter than the real movie.


Program windows

The program consists of several windows:

  • Main window
  • Welcome!
  • Movie properties
  • Movie Publishing


Main window

Default configuration of the main window contains 6 toolbars each of which can be visible/unvisible and dragged to any place of the program window.

Main Slide List Image settings Motion to the next slide Playback Timeline toolbar

FlashSlider is SDI software (Single Document Interface) so you should run the program again to open two and more projects contemporary.


Welcome! window

The Welcome! window appears just after the FlashSlider running and asks if to Create a new project or whether Open an already existing project.
You can use double-click to open a project.


Movie properties window

To edit movie properties choose Menu > Edit > Movie properties.

The new project requests to set Movie properties and choose one slide (an image file) at least. The size of the first project is 400x300 but when you change parameters, the size is saved for the next project.

The Movie properties window consists four pages: General, Navigation, Sound, Preloader, Links and Titles.

General:
- Movie size in px (Wight, Height);
- Background color (can be either Transparent or Color: click the example box to choose any background color).
Navigation:
- Navigation buttons (Play and Pause, Rewind, Next and Previous);
- 3 types of actions after the end of movie (Go to first slide (cicled); Stop; Load another movie). The "Load another movie" option using is helpful for dividing of any large movie to several movies. In that case the next movie is downloaded and shown just after the current one.

Sound:
- Browse a music file (wav or mp3) for Background sound;
- Choose Sound mode:

  • Stop sound when movie stops;
  • Do not stop sound, that will be cycled, so set Loops for this sound track repeating.

Test button is for playing a music file by your music player application (Media Player, WinAmp or others).

There are 2 sound modes of Flash: Streaming and Event. Streaming sound stops when movie stops; Event sound does not stop when the movie finishes, it will play so many times as it will be set. So it is better to choose Event mode (Do not stop sound) in case the movie showing is cycled.

FlashSlider supports music file formats: *.wav (except ADPCM-coding) and *.mp3. To learn format of a music file: right click on it > Properties > Summary tab > Audio format.

Preloader:
Check the Include preloader option, choose the preloader from the list in the Source box and test the one (shows just the preloader view). In the Preloader position box set size of the preloader (you can choose Stretch to slideshow with or with no Constrain proportions or put the one in any place of the screen with the same size).

Links:
You can add as a total link to the movie so different links to each slide.

- "Add total url" option is to make a global link. Check the option > type URL > choose Target;

- "Add different URL to each slide" option: check and OK. You will be able to type URL and target for each slide:
(Menu > View >) Slide settings > Link > type URL and Target.

Target specifies the frame or window in which the link page should be loaded:_blank, _parent, _self, _top, _level0 (To learn more about link targeting read HTML specificaton)

Titles:
To add titles to a frame check the option "Enable titles to frame" > set the position of text on the frame > OK.

Embedding font to movie: to embed a font to a file of the movie. Also, you can Change font to another one.

Effects box: you can check "Fade in and out" and "Text shadow" effects for the titles.


Movie Publishing window

The "Movie Publishing" window pops up after choosing the "Publish Movie" option ( Menu > File > Publish Movie or "Ctrl+E" keys)
and includes two boxes:

  • Main options: set FPS (Frame-per-Second) and, if you need, check the "Compressed" option (for SWF 6 and later only);
  • Publish type: choose either SWF file or HTML (HTML page and SWF file will be generated) or Macromedia projector (single *.exe file which includes both player and movie)

SWF file

The program generates a SWF file (Macromedia ShockWave Flash format).

Choose showing of result after completing the movie: using default viewer or default explorer; or to not show at all.

HTML

This process generates a SWF file and an HTML file.

HTML file template: select one of templates of HTML page or browse your.
Code template of movie object is used for forming of the HTML-page code; it can be useful for web-masters. To create templates you should use the following parameters: %WIDTH%, %HIGHT%, %NAME%. The program will change them into real automatically.
For example, the code embed src="My_Slides.swf" will be instead of the code embed src="%NAME%".
HTML-template can use the same parameters and also %MOVIE% (the code template will be instead of the %MOVIE% parameter).

Macromedia projector

This process generates a single *.exe file which includes both player and movie. That allows you to copy or remove the movie to another computer (not bothering about Flash Player on that computer).

FlashSlider finds out Macromedia Flash player or you can browse any one (in case you have got several players on your computer). You can download Macromedia Flash Player from the site:
http://www.macromedia.com


How to create a new effect

All effects are uploaded in the program. New effect libraries are absolutely free for the registered clients! Moreover, if you would like to create new effects by yourself, you just need a new idea and the brief instruction below.

All effects are divided between libraries by such a manner that the similar effects are in the one file with the extension *.fse.

The effect describes changing of the current and following slides with the transformation matrix. There are two types of such matrix: transformation of colors and size.
Here is the example of the effect "Panoramic view for current and following slide to left":

ID-L | Identificator
To left | Name of effect
1 | Steps number of effect
1 | Deepness of following slide
0 | Start point of step
0 0 | Needness to transform color
0 0 0 0 | Matrix of the current slide transformation
0 0 0 0 | Matrix of the following slide transformation
1 1 | Needness to transform size
0 0 0 0 -100 0 | Matrix of the current slide size transformation
0 0 0 0 100 0 | Matrix of the following slide size transformation

Identificator is a unique value which is used by the program to identify a slide with a effect. The identificators of each library should be with the same suffix.

Name of effect is for describing of effect only. Just the one is shown in the program.

Steps number of effect can be from 1 to 255.

Deepness of following slide defines where the follow slide appears.
1 – the follow from top of the current, 0 – the follow from bottom of the current.

Start point of step is a value in percents. The first step must start from 0.

The first value is for the current slide, the second is for the new one.
1 - it is neccesary to make transformation, 0 - is not

First the matrix of colors transformation is defined for the current slide and then for the following. The matrix is defined in the R G B A format.

Color components can change from -255 to 255. The difference between the matrix for the current and following slides is the values for the current one define the slide condition at the end of the effect diagram and for the following one - at the start.
How does it work? For instance, the matrix 0 0 0 -255 for the current slide is defined. The current slide matrix is always 0 0 0 0 at the start of transformation, therefore the alpha value goes down till -255 by the end of transformation or, it becames transparent fully.

Now there is the same matrix 0 0 0 -255 but for the following slide. The following slide matrix is always 0 0 0 0, so the alpha value goes up from the fully transparent to 255, normal without transparency.

The values of the size transformation matrix are defined like the values of the colors transformation matrix.

The matrix is defined in the format ScaleX ScaleY SkewX SkewY TranslateX TranslateY.

ScaleX, ScaleY are compression coefficients in percents. The negative values (from 0 to -100) compress an image, the positive ones - extend it.

SkewX, SkewY are the skew coefficients in percents of the size. The fixing point is the top left corner of the slide.

TranslateX, TranslateY are the replacement coefficients in percents of the size. 0 is at the top left corner of the slide. The positive X directs right, Y - down.

In the example which is above is used the matrix 0 0 0 0 -100 0 for the current slide, it means the only TranslateX coefficient has defined, so the slide will be replace for the slide width to left. As the matrix 0 0 0 0 100 0 for the following slide has been defined, so the slide replace at the start of transformation is equal to the slide width to right.


Effect manager

The effect list is so wide that can require the alternate management. That is possible to do in the special window: Menu > Edit > Effect manager.

All libraries are checked in the Libraries box by default and the unchecking is used to hide some libraries. You can form your own list dragging the effects or using the context menu (right-click the list > Move up or Move down). Moreover, the context menu allows to Add or Remove library and Set check all libraries. It is possible to remove any library after unchecking the one. The exception is the Fade library which is the default library in the list. To show the hidden libraries use the Set check all option of the context menu. The Modification and Preview box show the active effect.

All changes will be reflected on the Motion to the next slide toolbar after OK.


Timeline Toolbar

The Timeline Toolbar is for playing the movie from any position. You can see the liitle image preview of each frame under the line and its duration in frames; then - an effect duration until the next image preview and so on. To change a duration of any image or effect just drag the one.